From bbcd2134982e818f5b4e816e9cd82eb1f79c43d8 Mon Sep 17 00:00:00 2001
From: Hou Zhijie <houzj.fnst@cn.fujitsu.com>
Date: Mon, 9 Jan 2023 18:05:30 +0800
Subject: [PATCH] document the newly added wait event

Author: Shinoda, Noriyoshi
---
 doc/src/sgml/monitoring.sgml | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/doc/src/sgml/monitoring.sgml b/doc/src/sgml/monitoring.sgml
index cf220c3..358d2ff 100644
--- a/doc/src/sgml/monitoring.sgml
+++ b/doc/src/sgml/monitoring.sgml
@@ -1132,6 +1132,11 @@ postgres   27093  0.0  0.0  30096  2752 ?        Ss   11:34   0:00 postgres: ser
       <entry>Waiting in main loop of logical replication launcher process.</entry>
      </row>
      <row>
+      <entry><literal>LogicalParallelApplyMain</literal></entry>
+      <entry>Waiting in main loop of logical replication parallel apply
+       process.</entry>
+     </row>
+     <row>
       <entry><literal>RecoveryWalStream</literal></entry>
       <entry>Waiting in main loop of startup process for WAL to arrive, during
        streaming recovery.</entry>
@@ -1728,6 +1733,11 @@ postgres   27093  0.0  0.0  30096  2752 ?        Ss   11:34   0:00 postgres: ser
        tuples into new buckets.</entry>
      </row>
      <row>
+      <entry><literal>LogicalParallelApplyStateChange</literal></entry>
+      <entry>Waiting for a logical replication parallel apply process to change
+       state.</entry>
+     </row>
+     <row>
       <entry><literal>LogicalSyncData</literal></entry>
       <entry>Waiting for a logical replication remote server to send data for
        initial table synchronization.</entry>
-- 
2.7.2.windows.1

